Package ru.bitel.bgbilling.modules.rurupay.common.bean

# Enum Class RuRuPayCancelReason

java.lang.Object
java.lang.Enum<RuRuPayCancelReason>
ru.bitel.bgbilling.modules.rurupay.common.bean.RuRuPayCancelReason

All Implemented Interfaces:
  `Serializable`, `Comparable<RuRuPayCancelReason>`, `Constable`, `ListItem`

public enum RuRuPayCancelReason extends Enum<RuRuPayCancelReason> implements ListItem
Код причины отказа от резервирования.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLIENT`
  `LOWMANY`
  `SYSERROR`
  `UNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  Код для сохранения в базе.
  `int`
  `getId()`
  `String`
  `getTitle()`
  Заголовок статуса, для отображения пользователю.
  `static RuRuPayCancelReason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RuRuPayCancelReason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLIENT

    public static final RuRuPayCancelReason CLIENT

  - ### SYSERROR

    public static final RuRuPayCancelReason SYSERROR

  - ### LOWMANY

    public static final RuRuPayCancelReason LOWMANY

  - ### UNKNOWN

    public static final RuRuPayCancelReason UNKNOWN

- ## Method Details

  - ### values

    public static RuRuPayCancelReason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RuRuPayCancelReason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()
    Код для сохранения в базе. Для передачи меж клиентом и сервером итд чаще используется текстовое обозначение енум-константы.

  - ### getId

    public int getId()
    Specified by:
      `getId` in interface `ListItem`

  - ### getTitle

    public String getTitle()
    Заголовок статуса, для отображения пользователю.
    Specified by:
      `getTitle` in interface `ListItem`